Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158497 - bootstrap repo needed for packages that need bootstrapping
Summary: bootstrap repo needed for packages that need bootstrapping
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Jeremy Katz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 00:18 UTC by Jens Petersen
Modified: 2007-03-27 04:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 19:47:04 UTC


Attachments (Terms of Use)

Description Jens Petersen 2005-05-23 00:18:18 UTC
Description of problem:
Some implementations of programming languages and other toolchain
components require themselves (possibly through a circular dependence) say 
to build in the buildsystem.  So the suggestion was made to have a
bootstrap repository from which the buildsystem can pull such build
dependencies when such a new package is added.

Comment 1 Jens Petersen 2005-06-28 03:32:30 UTC
ghc and fpc are working round this by using binary bootstrapping fwiw.

Comment 2 Warren Togami 2005-07-01 02:00:19 UTC
Note that this repository was suggested (by Seth) as a way to avoid manually
putting binary packages into the buildroot and also avoiding needlessly
importing huge bootstrap binaries into the tarball repository that would only be
used once.

Comment 3 Jeremy Katz 2005-07-29 19:47:04 UTC
I think binary bootstrapping or one-offs is going to be the way to handle things
like this. 


Note You need to log in before you can comment on or make changes to this bug.